summaryrefslogtreecommitdiffstats
path: root/po/generate.sh
diff options
context:
space:
mode:
authortpearson <tpearson@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2010-10-05 18:12:45 +0000
committertpearson <tpearson@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2010-10-05 18:12:45 +0000
commitb23b8edce7cbd48165084dbd852875afeb800735 (patch)
tree6fce139d187944d762e804b4e868e8a40284a121 /po/generate.sh
parent70f7d26b3b2a811ad0000cc3a26e21142d34e39f (diff)
downloadtde-style-qtcurve-b23b8edce7cbd48165084dbd852875afeb800735.tar.gz
tde-style-qtcurve-b23b8edce7cbd48165084dbd852875afeb800735.zip
Update qtcurve to latest upstream version
git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/kde-style-qtcurve@1182805 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
Diffstat (limited to 'po/generate.sh')
-rwxr-xr-xpo/generate.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/po/generate.sh b/po/generate.sh
new file mode 100755
index 0000000..cf25955
--- /dev/null
+++ b/po/generate.sh
@@ -0,0 +1,48 @@
+#!/bin/sh
+BASEDIR=".." # root of translatable sources
+PROJECT="qtcurve" # project name
+BUGADDR="http://sourceforge.net/tracker/?group_id=50231&atid=459007" # MSGID-Bugs
+WDIR=`pwd` # working dir
+echo "Preparing rc files"
+cd ${BASEDIR}
+# we use simple sorting to make sure the lines do not jump around too much from system to system
+find . -name '*.rc' -o -name '*.ui' -o -name '*.kcfg' | sort > ${WDIR}/rcfiles.list
+xargs --arg-file=${WDIR}/rcfiles.list extractrc > ${WDIR}/rc.cpp
+# additional string for KAboutData
+echo 'i18nc("NAME OF TRANSLATORS","Your names");' >> ${WDIR}/rc.cpp
+echo 'i18nc("EMAIL OF TRANSLATORS","Your emails");' >> ${WDIR}/rc.cpp
+cd ${WDIR}
+echo "Done preparing rc files"
+
+echo "Extracting messages"
+cd ${BASEDIR}
+# see above on sorting
+find . -name '*.cpp' -o -name '*.h' -o -name '*.c' | sort > ${WDIR}/infiles.list
+echo "rc.cpp" >> ${WDIR}/infiles.list
+cd ${WDIR}
+xgettext --from-code=UTF-8 -C -kde -ci18n -ki18n:1 -ki18nc:1c,2 -ki18np:1,2 -ki18ncp:1c,2,3 -ktr2i18n:1 \
+ -kI18N_NOOP:1 -kI18N_NOOP2:1c,2 -kaliasLocale -kki18n:1 -kki18nc:1c,2 -kki18np:1,2 -kki18ncp:1c,2,3 \
+ --msgid-bugs-address="${BUGADDR}" \
+ --files-from=infiles.list -D ${BASEDIR} -D ${WDIR} -o ${PROJECT}.pot || { echo "error while calling xgettext. aborting."; exit 1; }
+
+#Fix charset...
+cat ${PROJECT}.pot | sed s^charset=CHARSET^charset=UTF-8^g > ${PROJECT}.pot-new
+mv ${PROJECT}.pot-new ${PROJECT}.pot
+
+echo "Done extracting messages"
+
+echo "Merging translations"
+catalogs=`find . -name '*.po'`
+for cat in $catalogs; do
+ echo $cat
+ msgmerge -o $cat.new $cat ${PROJECT}.pot
+ mv $cat.new $cat
+done
+echo "Done merging translations"
+
+echo "Cleaning up"
+cd ${WDIR}
+rm rcfiles.list
+rm infiles.list
+rm rc.cpp
+echo "Done"